ID CVE-2014-0030
Summary The XML-RPC protocol support in Apache Roller before 5.0.3 allows attackers to conduct XML External Entity (XXE) attacks via unspecified vectors.
References
Vulnerable Configurations
  • cpe:2.3:a:apache:roller:3.1:*:*:*:*:*:*:*
    cpe:2.3:a:apache:roller:3.1:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:roller:4.0:*:*:*:*:*:*:*
    cpe:2.3:a:apache:roller:4.0:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:roller:4.0.1:*:*:*:*:*:*:*
    cpe:2.3:a:apache:roller:4.0.1:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:roller:5.0:*:*:*:*:*:*:*
    cpe:2.3:a:apache:roller:5.0:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:roller:5.0.1:*:*:*:*:*:*:*
    cpe:2.3:a:apache:roller:5.0.1:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:roller:5.0.2:*:*:*:*:*:*:*
    cpe:2.3:a:apache:roller:5.0.2:*:*:*:*:*:*:*
CVSS
Base: 7.5 (as of 06-05-2019 - 20:38)
Impact:
Exploitability:
CWE CWE-611
CAPEC
Access
VectorComplexityAuthentication
NETWORK LOW NONE
Impact
ConfidentialityIntegrityAvailability
PARTIAL PARTIAL PARTIAL
assigner via4 cve@mitre.org
cvss-vector via4 AV:N/AC:L/Au:N/C:P/I:P/A:P
refmap via4
confirm https://liftsecurity.io/advisories/Apache_Roller_XML-RPC_susceptible_to_XXE/
exploit-db 45341
mlist [roller-dev] 20140111 CVE-2014-0030 Apache Roller XML-RPC susceptible to XML Entended Entity attacks
vulnerable_product via4
  • cpe:2.3:a:apache:roller:3.1:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:roller:4.0:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:roller:4.0.1:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:roller:5.0:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:roller:5.0.1:*:*:*:*:*:*:*
  • cpe:2.3:a:apache:roller:5.0.2:*:*:*:*:*:*:*
Last major update 06-05-2019 - 20:38
Published 10-10-2017 - 01:30
Back to Top